Overclocked Forums
1.11.0 upgrade testing - Printable Version

+- Overclocked Forums (http://forum.villagedefrance.net)
+-- Forum: Support (http://forum.villagedefrance.net/forumdisplay.php?fid=9)
+--- Forum: Bug Reports (http://forum.villagedefrance.net/forumdisplay.php?fid=14)
+--- Thread: 1.11.0 upgrade testing (/showthread.php?tid=55)



1.11.0 upgrade testing - davidb - 06-17-2018

I'm trying to work out what is going wrong with my upgrade from 1.8.4 to 1.11.0 so I've been experimenting.

I installed a clean version of 1.8.4 with no demo data, I just added 1 product for checking and then went through the upgrade to 1.10.2, cleared the cache and that all appears to be ok.

I've now just upgraded that version to 1.11.0

All appeared to go ok. I logged in to the dashboard, got the permission denied message, updated the user group permissions. However when I tried to login again I get the following error:

Warning: simplexml_load_file(): http:// wrapper is disabled in the server configuration by allow_url_fopen=0 in /var/www/web/admin/model/localisation/currency.php on line 164Warning: simplexml_load_file(http://www.floatrates.com/daily/gbp.xml): failed to open stream: no suitable wrapper could be found in /var/www/web/admin/model/localisation/currency.php on line 164Warning: simplexml_load_file(): I/O warning : failed to load external entity "http://www.floatrates.com/daily/gbp.xml" in /var/www/web/admin/model/localisation/currency.php on line 164

Thoughts


RE: 1.11.0 upgrade testing - gob33 - 06-17-2018

You must enable fopen() usage in your php config.
Seems simplexml_load_file() uses fopen() internaly and curency update needs better rewrite (git issue #171).


RE: 1.11.0 upgrade testing - davidb - 06-18-2018

Thank you for reply I've just had a quick read about it and it appears to be needed in the root php.ini file. I've just checked that file and it is enabled (allow_url_fopen = OnWink. Perhaps a hosting problem, I'll get in touch with them.

Who thought a simple cut and paste of code would produce a smilie!


RE: 1.11.0 upgrade testing - gob33 - 06-20-2018

PHP server config could be verified in System->Server->Config with a simple phpinfo() but the display of the integrated extension here is incomplete.